.ProductCard {
    overflow: hidden;
    border: 1px solid $grey-1-color;
    margin-bottom: 2.6rem;

    @include mobile {
        margin-bottom: 2.6rem;
    }

    &:last-child {
        margin-bottom: 2.6rem;
    }

    &:hover {
        .ProductCard-ConfigurableOptions {
            height: 32px;
        }
    }

    &-Coming-soon-date {
        width: 100%;
        padding: 12px;
        position: absolute;
        bottom: 0;
        color: #fff;
        background: rgba(20, 20, 20, 0.4);
        font-size: 16px;
        text-align: center;
        text-transform: uppercase;
    }

    &-Coming-soon-countDown {
        display: flex;
        width: calc(100% - 24px);
        margin: 0 13px;
        position: absolute;
        bottom: -4px;
        align-items: center;
        justify-content: space-between;
    }

    &-Coming-soon-countDown-text {
        padding-top: 1px;
        font-size: 12px;
        text-transform: uppercase;

        @include mobile {
            font-size: 8px;
        }
    }

    &-Coming-soon-countDown-element {
        width: calc(25% - 4px);
        padding: 5px 0;
        color: #fff;
        background: rgba(20, 20, 20, 0.4);
        font-size: 20px;
        text-align: center;
        line-height: normal;

        @include mobile {
            font-size: 12px;
        }
    }

    &-Picture {
        padding-bottom: 100%;
    }

    &-Content {
        width: 100%;
        padding: 4px 8px;
        border-top: 1px solid $grey-1-color;
        position: absolute;
        bottom: 0;
        background-color: $white;

        .ProductCard-Name {
            margin: 0 0 9px;

            @include mobile {
                margin: 0;
            }
        }
    }

    &-Link {
        display: flex;
        padding-bottom: 77px;
    }

    &-Brand {
        opacity: 1;
        font-weight: 500;

        .ProductAttributeValue {
            color: $black;
            font-size: 12px;
            text-transform: capitalize;
            line-height: 20px;

            &:hover {
                text-decoration: underline;
            }
        }
    }

    &-Name {
        color: $black;
        font-size: 12px;
        line-height: 20px;
    }

    &-Price {
        width: 100%;
        font-family: $font-rifton;
        font-size: 20px;
        font-weight: normal;
        line-height: 20px;

        @include mobile {
            display: flex;
            min-height: 41px;
            flex-direction: column-reverse;
            font-size: 12px;
        }
    }

    &-ConfigurableOptions {
        overflow: hidden;
        width: 100%;
        height: 0;
        justify-content: flex-start;
        transition: height 200ms ease-out;

        @include mobile {
            display: none;
        }
    }

    .ConfigurableOptionsSlider .slick-slide {
        width: 36px;
    }

    .ConfigurableOptions {
        overflow: hidden;
    }

    &-Size {
        display: inline-block;
        min-width: 14px;
        color: $grey-2-color;
        font-size: 12px;
        letter-spacing: -1px;
    }

    .Image {
        display: block;
    }

    .slick {
        &-slider {
            width: 100%;
        }

        &-list {
            display: inline-block;
            width: calc(100% - 20px);
        }

        &-prev {
            left: 0;

            &::before {
                content: url('../../style/images/arrow_left.svg');
            }
        }

        &-next {
            right: 0;

            &::before {
                transform: rotate(180deg);
                content: url('../../style/images/arrow_left.svg');
            }
        }

        &-prev,
        &-next {
            display: inline-block !important;
            width: 10px;
            height: 18px;
            position: relative;
            vertical-align: top;
            transform: translate(0, 0);
            font-size: 0;

            &::before {
                display: inline-block;
                color: $black;
                font-family: initial;
                font-size: 16px;
                line-height: 16px;
            }
        }
    }

    .CategoryProductList-Page_hideDescriptions & {
        &-Link {
            padding-bottom: 0;
        }

        &-Content {
            height: 0;
            padding: 0;
            border: 0;
        }

        &:hover {
            .ProductCard-Content {
                height: initial;
                padding: 4px 8px;
                border-top: 1px solid $grey-1-color;
            }
        }
    }

    .ProductLabels {
        padding-top: 8px;
        padding-right: 8px;
        padding-left: 8px;
        justify-content: flex-start;

        @include mobile {
            padding-top: 4px;
            padding-right: 4px;
            padding-left: 4px;
        }

        &-Label {
            margin-right: 8px;
            margin-left: 0;

            @include mobile {
                min-height: 22px;
                font-size: 10px;
            }
        }
    }
}
